# OpenTelemetry .NET Diagnostic: OTEL1002

## Overview

This is an Experimental API diagnostic covering the following APIs:

* `AlwaysOnExemplarFilter`
* `AlwaysOffExemplarFilter`
* `Exemplar`
* `ExemplarFilter`
* `MeterProviderBuilder.SetExemplarFilter` extension method
* `TraceBasedExemplarFilter`

Experimental APIs may be changed or removed in the future.

## Details

The OpenTelemetry Specification defines an [Exemplar
API](https://github.com/open-telemetry/opentelemetry-specification/blob/main/specification/metrics/sdk.md#exemplar)
in the Metrics SDK.

From the specification:

> Exemplars are example data points for aggregated data. They provide specific
> context to otherwise general aggregations. Exemplars allow correlation between
> aggregated metric data and the original API calls where measurements are
> recorded.

We are exposing these APIs experimentally until the specification declares them
stable.
